html {
	scroll-behavior: smooth;
    }

/* Scaling automatically */
.responsive {
    width: 100%;
    height: auto;
    }

h1      {
    color:#fbba00;
    text-align: left;
    font-family: "Barlow", sans-serif;
    font-size: 8vw;
    /*@media screen and (min-width: 601px) {font-size: 5vw;}*/
         }

h2      {
    text-align: center;
    color:#fbba00;
    font-family: "Barlow", sans-serif;
    font-size: 300%;
         }

h3      {
    text-align: center;
    color:white;
    font-family: "Barlow", sans-serif;
    font-size: 300%;
         }

p        {
    color: black;
    font-family: "Barlow", sans-serif;
    font-size: 100%;
        }     
      
p.thick  {
    color: black;
    font-family: "Barlow", sans-serif;
    font-weight: bold;
    font-size: 130%;
    line-height: 1;
        } 

p.white {
    color: white;
    font-family: "Barlow", sans-serif;
    font-size: 100%;
    text-align: left;
        }

p.right {
    font-family: "Barlow", sans-serif;
    font-size: 100%;
    text-align: left; /*justify; <-- Blocksatz*/
        }

p.underhead {
    color: white;
    font-size: 4vw;
    margin: 0;
        }

p.footer {
    font-size: 180%;
    text-align: left;
   }

p.footer-p {
    font-size: 100%;
    text-align: left;
   }

a {
    color: black;
    text-decoration: none;
}

body    {
    background-color: rgb(246 246 245);
    /* Cursor ändern (theoretisch): 
    cursor: url(img/sword.png), auto; */
        }

body, html {
    /*height: 100%; */
    height: fit-content;
    /* Changing to this leaves the Navbar sticky till the end, but lets the header disappear:
    height: fit-content; */
    margin-left: 0;
    margin-right: 0;
        }

/* Add a black background color to the top navigation */
.topnav {
    background-color: #333;
    overflow: hidden;
    }

    /* Style the links inside the navigation bar */
    .topnav a.text {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    font-family: "Barlow", sans-serif;
    }

    /* Change the color of links on hover */
    .topnav a: hover {
    background-color: #ddd;
    color: black;
    }

    /* Add a color to the active/current link */
    .topnav a.active {
    background-color: #fbba00;
    color: white;
    }

/* Hero image try 2 */
.hero-image-2 {
    background-image: url('img/AdobeStock_307553300-Kopie.jpg');
    background-position: center;
    background-size: cover;
    height: 90vh;
    width: 100%;
    }

#wrapper {
    position: relative;
    height: 50%
    } 

/* The hero image */
.hero-image {
    /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5)), url("img/heroheader_124839890.jpeg");
    
    /* Set a specific height */
    height: 50%;

    /* Position and center the image to scale nicely on all screens */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    }

    /* Place text in the middle of the image */
    .hero-text {
    overflow-x: visible;
    text-align: center;
    position: absolute;
    top: 40%;
    left: 40%;
    transform: translate(-50%, -50%);
    color: white;
    @media screen and (max-width: 768px) {
        left: 50%;
        overflow-wrap: break-word;
        word-wrap: break-word;
        word-break: manual;
        hypens: auto;
        }
    }

.parent {
    padding-top: 0.5rem;
    padding-bottom: 2rem;
    text-align: center;
    }

.boxes {
    display: inline-block;
    background-color: white;
    width: 25vw;
    margin: 1rem;
    padding: 1rem 1rem;
    vertical-align: middle;
    box-shadow: 0 1px 2px rgba(0,0,0,0.15);
    transition: box-shadow 0.3s ease-in-out;
    }

.boxes:hover {
    box-shadow: 0 5px 15px #fbba00;
    }

.hover-underline:hover {
    text-decoration: underline;
    text-decoration-color: currentColor;
}

.parent-2 {
    background-color: #fbba00;
    padding-top: 0.5rem;
    padding-bottom: 2rem;
    text-align: center;
    }

.child-2 {
    display: inline-block;
    background-color: white;
    width: 25%;
    margin: 1rem;
    padding: 1rem 1rem;
    vertical-align: middle
    }

.child-3 /*left; picture */ {
    display: inline-block;
    max-width: 50%;
    margin: 0rem;
    padding: 0rem 1rem;
    vertical-align: middle;
    box-sizing: border-box;
    }

.child-4 /*right; text */ {
    display: inline-block;
    width: 25%;
    margin: 1rem;
    padding: 1rem 1rem;
    vertical-align: middle;
    box-sizing: border-box;
    }

.child-5 /*footer; text */ {
    display: inline-block;
    width: 25%;
    margin: 1rem;
    padding: 1rem 1rem;
    vertical-align: top;
    box-sizing: border-box;
    }

.child-6 /*left; picture */ {
    display: inline-block;
    max-width: 65%;
    margin: 0rem;
    padding: 0rem 1rem;
    vertical-align: middle;
    box-sizing: border-box;
    }

.slideshow {
    overflow: auto;
    /*white-space: nowrap;*/
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
    }

.slides {
    max-height: 200px;
    max-width: 200px;
    display: flex; 
    justify-content: center;
    }

.button-slides-left {
    /*position: absolute;*/
    top: 50%;
    left: 50%;
    transform: translate(0%,-50%;);
    -ms-transform: translate(-0%,-50%);
    color: #fff;
    background-color: #fbba00;
}

.button-slides-right {
    top: 50%;
    left: 50%;
    transform: translate(0%,-50%;);
    -ms-transform:translate(-0%,-50%);
    color: #fff;
    background-color: #fbba00;
    }


.button-slides:hover {
    color:#000;background-color:#A4AAA0
    }



/* Changes in mobile-version */
@media screen and (max-width: 768px) {
    body, html {
    /*height: 100%; */
        height: fit-content;
        overflow-x: hidden; /* Überlauf right&left */
        padding-left: 0;
        padding-right: 0;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
    
    .parent{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    .parent-2{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .child {
        width: 100%;
    }    
    
    .child-2 {
        width: 100%;
    }    
    
    .child-3 {
        width: 100%;
    }

    .child-4 {
        width: 100%;
    }
    
    .child-5 {
    width: 100%;
    }
    
    .child-6 {
        max-width: 100%;
    }
    
    h1 {
        font-size: 300%;    
    } 
    
    h2 {
        font-size: 8vw;
        margin-bottom: 0;
    }
      
    h3 {
        font-size: 8vw;
        margin-bottom: 0;
    }
    
    p.underhead {
        font-size: 150%
    }   
    
    img.responsive {
        width: 100vw;
        box-sizing: border-box;
    }
    
    p.responsive {
        font-size: 8vw;
        text-align: center;
    }
    
    p.responsive-p {
        font-size: 5vw;
        text-align: center;
    }
    
    p.footer-p {
        font-size: 5vw;
        text-align: center;
        margin-left: 0;
        margin-right: 0;
        margin-bottom: 0;
    }
    
   .boxes {
        width: 75vw;
        margin-left: 0;
        margin-right: 0;
    }
   
    /* id in html, for letting elements dissapear in mobile */
    #gone {
        display: none;
        visibility: hidden;
        clear: both; /* or "none"? */
    }
    
}




/* Scroll Snap 
    Das HTML-Markup besteht wie im vorherigen Beispiel aus einer Navigation und mehreren Abschnitten innerhalb von section-Elementen. Die section-Elemente erhalten zusätzlich einen tabindex, damit sie auch mit der Tastatur angesteuert werden können. 
    
    @media (prefers-reduced-motion: no-preference) {
  body {
    margin: 0;
    scroll-snap-type: y mandatory; 
    scroll-behavior: smooth;
    scroll-padding: 0; /* nicht nötig
  }

  section {
    height: 100vh;
    scroll-snap-align: start; 
    scroll-margin: 0;  /* nicht nötig 
  }
        Scroll Snap end */
